﻿//==============================================================================
//
//	FormBorder1
//		Version 1.0
//		Copyright 2010, Luc Pattyn
//		http://www.Perceler.com
//
//==============================================================================
// this little app shows all different form borders
//==============================================================================
using System;
using System.IO;
using System.Windows.Forms;

namespace FormBorder1 {
	static class Program {
		public const string FILE="FormBorder1_state.txt";
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() {
			bool hasArgs=false;
			try {
				hasArgs=File.ReadAllText(FILE)=="1";
			} catch(Exception) {
				// initially file will not exist ==> FileNotFoundException
			}
			if (hasArgs) {
					Application.EnableVisualStyles();
					Application.SetCompatibleTextRenderingDefault(false);
			}
			Application.Run(new Form1(hasArgs));
		}
	}
}
